# Interface EcsvColumn<T>

public interface EcsvColumn<T>
Represents column metadata from an ECSV table.

Since:
  28 Apr 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatatype()`
Returns the declared datatype for this column.
`EcsvDecoder<T>`
`getDecoder()`
Returns a decoder that can be used to make sense of cell values in the body of the ECSV file corresponding to this column.
`String`
`getDescription()`
Returns the column description text if available.
`String`
`getFormat()`
Returns the column format string if available.
`Map<?,?>`
`getMeta()`
Returns a map containing miscellaneous metadata declared for this column, if available.
`String`
`getName()`
Returns the column name.
`String`
`getUnit()`
Returns the column unit string if available.

## Method Details

### getName

String getName()
Returns the column name.

Returns:
  name

### getUnit

String getUnit()
Returns the column unit string if available.

Returns:
  unit, or null

### getDescription

String getDescription()
Returns the column description text if available.

Returns:
  description, or null

### getFormat

String getFormat()
Returns the column format string if available.

Returns:
  printf-style format string, or null

### getDatatype

String getDatatype()
Returns the declared datatype for this column.

Returns:
  datatype

### getDecoder

EcsvDecoder<T> getDecoder()
Returns a decoder that can be used to make sense of cell values in the body of the ECSV file corresponding to this column.

Returns:
  decoder, or null if the format for this column is unknown or unsupported

### getMeta

Map<?,?> getMeta()
Returns a map containing miscellaneous metadata declared for this column, if available.

Returns:
  metadata map, may be null or empty